### Name: littlewood.verall.plot
### Title: Plotting the mean value function for the Littlewood-Verall model
### Aliases: littlewood.verall.plot
### Keywords: models

### ** Examples

# time between-failure-data from DACS Software Reliability Dataset
# homepage, see system code 1. Number of failures is 136.
t <- c(3, 30, 113, 81, 115, 9, 2, 20, 20, 15, 138, 50, 77, 24,
       108, 88, 670, 120, 26, 114, 325, 55, 242, 68, 422, 180,
       10, 1146, 600, 15, 36, 4, 0, 8, 227, 65, 176, 58, 457,
       300, 97, 263, 452, 255, 197, 193, 6, 79, 816, 1351, 148,
       21, 233, 134, 357, 193, 236, 31, 369, 748, 0, 232, 330,
       365, 1222, 543, 10, 16, 529, 379, 44, 129, 810, 290, 300,
       529, 281, 160, 828, 1011, 445, 296, 1755, 1064, 1783, 
       860, 983, 707, 33, 868, 724, 2323, 2930, 1461, 843, 12,
       261, 1800, 865, 1435, 30, 143, 108, 0, 3110, 1247, 943,
       700, 875, 245, 729, 1897, 447, 386, 446, 122, 990, 948,
       1082, 22, 75, 482, 5509, 100, 10, 1071, 371, 790, 6150,
       3321, 1045, 648, 5485, 1160, 1864, 4116)
      
theta0 <- littlewood.verall(t, linear = TRUE)$theta0
theta1 <- littlewood.verall(t, linear = TRUE)$theta1
rho <- littlewood.verall(t, linear = TRUE)$rho
littlewood.verall.plot(theta0, theta1, rho, t, linear = TRUE, 
  xlab = "time (in seconds)", main = "Littlewood-Verall model (linear)")

## Not run: 
##D ## theta0 <- littlewood.verall(t, linear = FALSE)$theta0
##D ## theta1 <- littlewood.verall(t, linear = FALSE)$theta1
##D ## rho <- littlewood.verall(t, linear = FALSE)$rho
##D ## littlewood.verall.plot(theta0, theta1, rho, t, linear = FALSE, 
##D ##   xlab = "time (in seconds)", main = "Littlewood-Verall modell (quadratic)")
## End(Not run)



